package com.bonus.canteen.core.device.manage.dto;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.canteen.core.device.manage.model.DeviceBind;
import io.swagger.annotations.ApiModelProperty;

public class DeviceBindDTO {
   @ApiModelProperty("id主键")
   private Long id;
   @ApiModelProperty("设备id")
   private Long deviceId;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("店铺档口id")
   private Long stallId;
   @ApiModelProperty("餐线id")
   private Long mealLineId;
   @ApiModelProperty("包间id")
   private Long roomId;
   @ApiModelProperty("是否启用打印  1是2否  默认为1")
   private Integer ifUsePrint;

   public DeviceBind convertToEntity() {
      DeviceBind entity = new DeviceBind();
      BeanUtil.copyProperties(this, entity, new String[0]);
      return entity;
   }

   public Long getId() {
      return this.id;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Long getMealLineId() {
      return this.mealLineId;
   }

   public Long getRoomId() {
      return this.roomId;
   }

   public Integer getIfUsePrint() {
      return this.ifUsePrint;
   }

   public DeviceBindDTO setId(final Long id) {
      this.id = id;
      return this;
   }

   public DeviceBindDTO setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
      return this;
   }

   public DeviceBindDTO setAreaId(final Long areaId) {
      this.areaId = areaId;
      return this;
   }

   public DeviceBindDTO setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public DeviceBindDTO setStallId(final Long stallId) {
      this.stallId = stallId;
      return this;
   }

   public DeviceBindDTO setMealLineId(final Long mealLineId) {
      this.mealLineId = mealLineId;
      return this;
   }

   public DeviceBindDTO setRoomId(final Long roomId) {
      this.roomId = roomId;
      return this;
   }

   public DeviceBindDTO setIfUsePrint(final Integer ifUsePrint) {
      this.ifUsePrint = ifUsePrint;
      return this;
   }
}
